%define name      w3m
%define title     %name
%define longtitle Text based web browser that supports tables and frames
%define group     Networking/WWW
%define section   %{group}
%define version   0.1.11
%define release   0.2mdk

Summary:    %{longtitle}
Name:       %{name}
Version:    %{version}
Release:    %{release}
Group:      %{group}
Source0:    ftp://ei5nazha.yz.yamagata-u.ac.jp/w3m/%{name}-%{version}-pre.tar.bz2
Patch0:     %{name}-path.patch.bz2
Patch2:     %{name}-%{version}-pre-kokb18.patch.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:  Distributable
URL:        http://ei5nazha.yz.yamagata-u.ac.jp/~aito/w3m/eng/
Requires:   perl
Provides:   webclient

%description
w3m is a pager with WWW capability. It IS a pager, but it can be
used as a text-mode WWW browser.

     The features of w3m are as follows:

* When reading HTML document, you can follow links and view images
  (using external image viewer).
* It has 'internet message mode', which determines the type of document
  from header. If the Content-Type: field of the document is text/html,
  that document is displayed as HTML document.
* You can change URL description like 'http://hogege.net' in plain text
  into link to that URL.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}-pre -q
%patch0 -p1 -b .paths
%patch2 -p1 -b .kokb

%build

host=`hostname`
cat <<EOF > config.param
# Configuretion at $host
def_bindir='%{_bindir}'
def_libdir='%{_libdir}/%{name}'
def_helpdir='%{_libdir}/%{name}'
pref_lang=2
lynx_key=n
ftppass_hostnamegen=y
show_params=y
use_nntp=y
use_color=y
use_mouse=n
use_menu=y
use_cookie=y
use_ssl=y
use_ssl_verify=y
dmodel=6
ded='%{_bindir}/vim'
dmail='/bin/mail'
dbrowser='%{_bindir}/netscape'
dcc='gcc'
dcflags='$RPM_OPT_FLAGS'
dtermlib='-lncurses'
dldflags=''
EOF

./configure -yes
%make

%install
%{__rm} -rf %buildroot

%{__mkdir_p} %buildroot{%{_bindir},%{_libdir}/%{name},%{_mandir}/{.,ja_JP.ujis}/man1}

PREFIX=%buildroot/usr
%make BIN_DIR=%buildroot%{_bindir} HELP_DIR=%buildroot%{_libdir}/%{name} LIB_DIR=%buildroot%{_libdir}/%{name} install
%{__cp} doc-jp/w3m.1 %buildroot%{_mandir}/ja_JP.ujis/man1
%{__cp} doc/w3m.1 %buildroot%{_mandir}/man1

mkdir -p %buildroot%{_menudir}
cat > %buildroot%{_menudir}/%{name} << EOF
?package(%{name}): \
    command="%{_bindir}/%{name} http://www.linux-mandrake.com" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    section="%{section}" \
    needs="text"
EOF

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
    done  

%clean
%{__rm} -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_menudir}/%{name}
%doc %{_mandir}/*/*/*
%doc README doc doc-jp w3mhelp-lynx_* 

%changelog
* Tue Aug 28 2001 Lenny Cartier <ASkwar@DigitalProjects.com> 0.1.11-0.2mdk
- rebuild


* Tue Jan 02 2001 Lenny Cartier <ASkwar@DigitalProjects.com> 0.1.11-0.1mdk 
- used srpm from  Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- New pre-release version, fixing some crashes
	- Added menu entry

* Fri Aug 11 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.10-2mdk
- Added Provides: webclient

* Thu Aug 10 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.1.10-1mdk
- New version
- Patched the patch to still apply
- Compile with English as the default
- *NO* lynx keys, *NO* mouse
- Use %%{_prefix}/vim instead of /bin/vi

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- fix group
- fix permission on spec

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.
- clean up specs.

* Tue Dec 14 1999 Pixel <pixel@mandrakesoft.com>
- clean up and mandrake adaptation

